
## Create

见 rui-cli : [https://www.npmjs.com/package/rui-cli](https://www.npmjs.com/package/rui-cli)

## Code

> /src/server ， 约定服务名称 -> xxx.server.ts

- 创建服务

```
$ cd /src/server
$ touch xxx.server.ts
```

- 配置服务

> src/ app.server.ts

```
class AppServer extends App {

    // 自定义服务 ， 必须使用 this.getServer() 创建服务
    xxxServer: XxxServer = this.getServer(XxxServer);
}
```

- 测试服务

```
$ cd test
$ ts-node app.test.ts
```

## 说明

- http.server.ts : http/https 协议数据通信服务
- grpc.server.ts : grpc 协议数据通信服务
- graphql.server.ts : graphql 数据通信服务


