import { App, AppStart, MicroConfig } from "./app/app";
import DemoServer from "./server/demo.server";
import AppInfoServer from "./server/appinfo.server";

/**
 * TODO 实例化服务
 * 必须使用 this.getServer() , 自动注入了 app 实例
 */
export class ModServer extends App {
    
    // 0.初始化
    static init(config: MicroConfig): ModServer {
        return AppStart.start(ModServer, config);
    }
    // 1.app info server
    appInfoServer: AppInfoServer = this.getServer(AppInfoServer);
    // 2.demo server , you can delete
    demoServer: DemoServer = this.getServer(DemoServer);
}
