import { configure, getLogger } from "log4js";

/**
 * logger 对象
 */
const loggerClient = getLogger();

/**
 * debug
 * @param msg 输出信息
 */
function debug(msg: any) {
    loggerClient.level = "debug";
    loggerClient.debug(msg);
}

/**
 * logger 配置
 */

configure({
    appenders: { cheese: { type: "file", filename: "rui-micro.log" } },
    categories: { default: { appenders: ["cheese"], level: "error" } }
});

export { loggerClient as logger, debug };
