import HttpServer from "../app/http.server";
import AppInfo from "../entity/app-info";

/**
 * server 继承 micro-server
 */

export default class AppInfoServer extends HttpServer {
    /**
     * 获取 micro server info
     */
    public async appInfo() {
        const appInfo: AppInfo = {
            name: "",
            version: "test"
        };
        this.debug(appInfo);
        return this.json_res(appInfo);
    }

    /**
     * 测试本地开发环境
     */
    public async getRuiApp() {
        const appInfo = await this.httpClient.req("app", "GET");
        return this.json_res(appInfo.data);
    }
}
